<template>
  <div
    v-b-tooltip.hover.v-primary
    title="Copy to clipboard"
  >
    <b-button
      v-clipboard:copy="value"
      size="sm"
      variant="outline"
    >
      <font-awesome-icon
        :style="{ color: 'gray' }"
        icon="copy"
      />
    </b-button>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    value: {
      required: true,
      type: String,
    },
  },
});
</script>
